Package com.independentsoft.office.charts

# Class PlotArea

java.lang.Object
com.independentsoft.office.charts.PlotArea

public class PlotArea extends Object
The Class PlotArea.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PlotArea()`
  Instantiates a new plot area.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PlotArea`
  `clone()`
  `List<IAxis>`
  `getAxes()`
  Gets the axes.
  `List<Chart>`
  `getCharts()`
  Gets the charts.
  `ChartShapeProperties`
  `getChartShapeProperties()`
  Gets the chart shape properties.
  `DataTable`
  `getDataTable()`
  Gets the data table.
  `ExtensionList`
  `getExtensionList()`
  Gets the extension list (`c:extLst`).
  `Layout`
  `getLayout()`
  Gets the layout.
  `void`
  `setDataTable​(DataTable dataTable)`
  Sets the data table.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the extension list (`c:extLst`).
  `void`
  `setLayout​(Layout layout)`
  Sets the layout.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PlotArea

    public PlotArea()
    Instantiates a new plot area.

- ## Method Details

  - ### clone

    public PlotArea clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the extension list (`c:extLst`).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the extension list (`c:extLst`).
    Parameters:
      `extensionList` - the new extension list

  - ### getCharts

    public List<Chart> getCharts()
    Gets the charts.
    Returns:
      the charts

  - ### getAxes

    public List<IAxis> getAxes()
    Gets the axes.
    Returns:
      the axes

  - ### getDataTable

    public DataTable getDataTable()
    Gets the data table.
    Returns:
      the data table

  - ### setDataTable

    public void setDataTable​(DataTable dataTable)
    Sets the data table.
    Parameters:
      `dataTable` - the new data table

  - ### getLayout

    public Layout getLayout()
    Gets the layout.
    Returns:
      the layout

  - ### setLayout

    public void setLayout​(Layout layout)
    Sets the layout.
    Parameters:
      `layout` - the new layout

  - ### getChartShapeProperties

    public ChartShapeProperties getChartShapeProperties()
    Gets the chart shape properties.
    Returns:
      the chart shape properties